<?php

  $eco_nature_elementor_theme_custom_setting_css = '';

	// Global Color
	$eco_nature_elementor_theme_color = get_theme_mod('eco_nature_elementor_theme_color', '#558b2f');

	$eco_nature_elementor_theme_custom_setting_css .=':root {';
		$eco_nature_elementor_theme_custom_setting_css .='--primary-theme-color: '.esc_attr($eco_nature_elementor_theme_color ).'!important;';
	$eco_nature_elementor_theme_custom_setting_css .='}';

	// Scroll to top alignment
	$eco_nature_elementor_scroll_alignment = get_theme_mod('eco_nature_elementor_scroll_alignment', 'right');

	if($eco_nature_elementor_scroll_alignment == 'right'){
		$eco_nature_elementor_theme_custom_setting_css .='.scroll-up{';
			$eco_nature_elementor_theme_custom_setting_css .='right: 30px;!important;';
			$eco_nature_elementor_theme_custom_setting_css .='left: auto;!important;';
		$eco_nature_elementor_theme_custom_setting_css .='}';
	}else if($eco_nature_elementor_scroll_alignment == 'center'){
		$eco_nature_elementor_theme_custom_setting_css .='.scroll-up{';
			$eco_nature_elementor_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
		$eco_nature_elementor_theme_custom_setting_css .='}';
	}else if($eco_nature_elementor_scroll_alignment == 'left'){
		$eco_nature_elementor_theme_custom_setting_css .='.scroll-up{';
			$eco_nature_elementor_theme_custom_setting_css .='left: 30px;!important;';
			$eco_nature_elementor_theme_custom_setting_css .='right: auto;!important;';
		$eco_nature_elementor_theme_custom_setting_css .='}';
	}

	// Related Product

	$eco_nature_elementor_show_related_product = get_theme_mod('eco_nature_elementor_show_related_product', true );

	if($eco_nature_elementor_show_related_product != true){
		$eco_nature_elementor_theme_custom_setting_css .='.related.products{';
			$eco_nature_elementor_theme_custom_setting_css .='display: none;';
		$eco_nature_elementor_theme_custom_setting_css .='}';
	}	

	// Featured Image Hover Effect
    $eco_nature_elementor_show_featured = get_theme_mod('eco_nature_elementor_featured_image_hide_show', 1);
    $eco_nature_elementor_hover_effect = get_theme_mod('eco_nature_elementor_single_post_featured_image_hover','none');

    if ( $eco_nature_elementor_show_featured && $eco_nature_elementor_hover_effect !== 'none' ) {

    $eco_nature_elementor_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $eco_nature_elementor_hover_effect === 'zoom-in' ) {
        $eco_nature_elementor_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $eco_nature_elementor_hover_effect === 'zoom-out' ) {
        $eco_nature_elementor_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $eco_nature_elementor_hover_effect === 'grayscale' ) {
        $eco_nature_elementor_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $eco_nature_elementor_hover_effect === 'sepia' ) {
        $eco_nature_elementor_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $eco_nature_elementor_hover_effect === 'blur' ) {
        $eco_nature_elementor_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $eco_nature_elementor_hover_effect === 'bright' ) {
        $eco_nature_elementor_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $eco_nature_elementor_hover_effect === 'translate' ) {
        $eco_nature_elementor_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $eco_nature_elementor_hover_effect === 'scale' ) {
        $eco_nature_elementor_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}

// Product Featured Image Hover Effect
    $eco_nature_elementor_show_featured = get_theme_mod('eco_nature_elementor_featured_image_hide_show', 1);
    $eco_nature_elementor_hover_effect = get_theme_mod('eco_nature_elementor_product_featured_image_hover','none');

    if ( $eco_nature_elementor_show_featured && $eco_nature_elementor_hover_effect !== 'none' ) {

    $eco_nature_elementor_theme_custom_setting_css .= '
    .product-img img{
        transition: all 0.4s ease;
    }';

    if ( $eco_nature_elementor_hover_effect === 'zoom-in' ) {
        $eco_nature_elementor_theme_custom_setting_css .= '
        .product-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $eco_nature_elementor_hover_effect === 'zoom-out' ) {
        $eco_nature_elementor_theme_custom_setting_css .= '
        .product-img img{ transform: scale(1.2); }
        .product-img:hover img{ transform: scale(1); }';
    }

    if ( $eco_nature_elementor_hover_effect === 'grayscale' ) {
        $eco_nature_elementor_theme_custom_setting_css .= '
        .product-img img{ filter: grayscale(100%); }
        .product-img:hover img{ filter: grayscale(0); }';
    }

    if ( $eco_nature_elementor_hover_effect === 'sepia' ) {
        $eco_nature_elementor_theme_custom_setting_css .= '
        .product-img:hover img{ filter: sepia(100%); }';
    }

    if ( $eco_nature_elementor_hover_effect === 'blur' ) {
        $eco_nature_elementor_theme_custom_setting_css .= '
        .product-img:hover img{ filter: blur(3px); }';
    }

    if ( $eco_nature_elementor_hover_effect === 'bright' ) {
        $eco_nature_elementor_theme_custom_setting_css .= '
        .product-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $eco_nature_elementor_hover_effect === 'translate' ) {
        $eco_nature_elementor_theme_custom_setting_css .= '
        .product-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $eco_nature_elementor_hover_effect === 'scale' ) {
        $eco_nature_elementor_theme_custom_setting_css .= '
        .product-img:hover img{ transform: scale(1.1); }';
    }
}   